<template>
  <div class="admin">
    <!--    tabs    -->
    <div class="admin-tabs mt-5">
      <div class="__title my-lg-5 my-md-3">Админ-центр</div>
      <div class="tabs-wrap">
        <v-btn
          v-for="tab in tabs"
          :key="tab.id"
          :class="{'_active':activeTab === tab.id}"
          class="admin-tab"
          text
          @click="activeTab = tab.id"
        >
          {{tab.title}}
          <img style="margin-left: 5px" src="../assets/img/general/menu-select.svg" v-if="tab.id === 5" alt="">
        </v-btn>
        <v-menu
          class="mobile-tabs"
          bottom
          offset-y
        >
          <template v-slot:activator="{ on, attrs }">
            <v-btn
              v-bind="attrs"
              v-on="on"
              width="175px"
              class="mobile-tabs"
            >{{filterTabs.title}} <v-icon>mdi-chevron-down</v-icon></v-btn>
          </template>
          <v-list>
            <v-list-item
              v-for="tab in tabs"
              :key="tab.id"
            >
              <v-btn
                :class="{'_active':activeTab === tab.id}"
                class="admin-tab"
                text
                @click="activeTab = tab.id"
              >
                {{tab.title}}
              </v-btn>
            </v-list-item>
          </v-list>
        </v-menu>
      </div>
    </div>
    <!--   end tabs    -->

    <!--    таблица   -->
    <section class="table">
      <div class="table-wrap">
        <table>
          <tr>
            <th>ID</th>
            <th>
              Имя пользователя
              <div class="icon-wrap">
                <img src="../assets/img/general/menu-up.svg" alt="">
                <img src="../assets/img/general/menu-down.svg" alt="">
              </div>
              <div class="input-container">
                <v-menu
                  bottom
                  offset-y
                >
                  <template v-slot:activator="{ on, attrs }">
                    <input type="text"
                           v-bind="attrs"
                           v-on="on"
                    >
                  </template>
                  <v-list>
                    <v-list-item
                      v-for="(item, i) in items"
                      :key="i"
                      @click="() => {}"
                    >
                      <v-list-item-title>{{ item.title }}</v-list-item-title>
                    </v-list-item>
                  </v-list>
                </v-menu>
              </div>
            </th>
            <th>
              E-mail
              <div class="icon-wrap">
                <img src="../assets/img/general/menu-up.svg" alt="">
                <img src="../assets/img/general/menu-down.svg" alt="">
              </div>
              <div class="input-container">
                <v-menu
                  bottom
                  offset-y
                >
                  <template v-slot:activator="{ on, attrs }">
                    <input type="text"
                           v-bind="attrs"
                           v-on="on"
                    >
                  </template>
                  <v-list>
                    <v-list-item
                      v-for="(item, i) in items"
                      :key="i"
                      @click="() => {}"
                    >
                      <v-list-item-title>{{ item.title }}</v-list-item-title>
                    </v-list-item>
                  </v-list>
                </v-menu>
              </div>
            </th>
            <th>
              Регистрационный IP
              <div class="icon-wrap">
                <img src="../assets/img/general/menu-up.svg" alt="">
                <img src="../assets/img/general/menu-down.svg" alt="">
              </div>
              <div class="input-container">
                <v-menu
                  bottom
                  offset-y
                >
                  <template v-slot:activator="{ on, attrs }">
                    <input type="text"
                           v-bind="attrs"
                           v-on="on"
                    >
                  </template>
                  <v-list>
                    <v-list-item
                      v-for="(item, i) in items"
                      :key="i"
                      @click="() => {}"
                    >
                      <v-list-item-title>{{ item.title }}</v-list-item-title>
                    </v-list-item>
                  </v-list>
                </v-menu>
              </div>
            </th>
            <th>
              Время регистрации
              <div class="icon-wrap">
                <img src="../assets/img/general/menu-up.svg" alt="">
                <img src="../assets/img/general/menu-down.svg" alt="">
              </div>
              <div class="input-container">
                <v-menu
                  bottom
                  offset-y
                >
                  <template v-slot:activator="{ on, attrs }">
                    <input type="text"
                           v-bind="attrs"
                           v-on="on"
                    >
                  </template>
                  <v-list>
                    <v-list-item
                      v-for="(item, i) in items"
                      :key="i"
                      @click="() => {}"
                    >
                      <v-list-item-title>{{ item.title }}</v-list-item-title>
                    </v-list-item>
                  </v-list>
                </v-menu>
              </div>
            </th>
            <th>
              Последний вход
              <div class="icon-wrap">
                <img src="../assets/img/general/menu-up.svg" alt="">
                <img src="../assets/img/general/menu-down.svg" alt="">
              </div>
              <div class="input-container">
                <v-menu
                  bottom
                  offset-y
                >
                  <template v-slot:activator="{ on, attrs }">
                    <input type="text"
                           v-bind="attrs"
                           v-on="on"
                    >
                  </template>
                  <v-list>
                    <v-list-item
                      v-for="(item, i) in items"
                      :key="i"
                      @click="() => {}"
                    >
                      <v-list-item-title>{{ item.title }}</v-list-item-title>
                    </v-list-item>
                  </v-list>
                </v-menu>
              </div>
            </th>
            <th>
              Активация
              <div class="icon-wrap">
                <img src="../assets/img/general/menu-up.svg" alt="">
                <img src="../assets/img/general/menu-down.svg" alt="">
              </div>
              <div class="input-container">
                <v-menu
                  bottom
                  offset-y
                >
                  <template v-slot:activator="{ on, attrs }">
                    <input type="text"
                           v-bind="attrs"
                           v-on="on"
                    >
                  </template>
                  <v-list>
                    <v-list-item
                      v-for="(item, i) in items"
                      :key="i"
                      @click="() => {}"
                    >
                      <v-list-item-title>{{ item.title }}</v-list-item-title>
                    </v-list-item>
                  </v-list>
                </v-menu>
              </div>
            </th>
            <th>
              Блокировка
              <div class="icon-wrap">
                <img src="../assets/img/general/menu-up.svg" alt="">
                <img src="../assets/img/general/menu-down.svg" alt="">
              </div>
              <div class="input-container">
                <v-menu
                  bottom
                  offset-y
                >
                  <template v-slot:activator="{ on, attrs }">
                    <input type="text"
                           v-bind="attrs"
                           v-on="on"
                    >
                  </template>
                  <v-list>
                    <v-list-item
                      v-for="(item, i) in items"
                      :key="i"
                      @click="() => {}"
                    >
                      <v-list-item-title>{{ item.title }}</v-list-item-title>
                    </v-list-item>
                  </v-list>
                </v-menu>
              </div>
            </th>
          </tr>
          <tr>
            <td>213</td>
            <td>b110</td>
            <td>jb@jnoj.ru</td>
            <td>91.193.178.159</td>
            <td>24.03.2021 15:49</td>
            <td>25.03.2021 08:02</td>
            <td><img src="../assets/img/general/ok.svg" alt="" title=""></td>
            <td><img src="../assets/img/general/block.svg" alt="" title=""></td>
            <td>
              <img src="../assets/img/general/user.svg" alt="" title="Профиль">
              <img src="../assets/img/general/mail.svg" alt="" title="Сообщение">
              <img src="../assets/img/general/edit.svg" alt="" title="Редактировать">
              <img src="../assets/img/general/urn.svg" alt="" title="Удалить">
            </td>
          </tr>
          <tr>
            <td>213</td>
            <td>b110</td>
            <td>jb@jnoj.ru</td>
            <td>91.193.178.159</td>
            <td>24.03.2021 15:49</td>
            <td>25.03.2021 08:02</td>
            <td><img src="../assets/img/general/ok.svg" alt="" title=""></td>
            <td><img src="../assets/img/general/block.svg" alt="" title=""></td>
            <td>
              <img src="../assets/img/general/user.svg" alt="" title="Профиль">
              <img src="../assets/img/general/mail.svg" alt="" title="Сообщение">
              <img src="../assets/img/general/edit.svg" alt="" title="Редактировать">
              <img src="../assets/img/general/urn.svg" alt="" title="Удалить">
            </td>
          </tr>
          <tr>
            <td>213</td>
            <td>b110</td>
            <td>jb@jnoj.ru</td>
            <td>91.193.178.159</td>
            <td>24.03.2021 15:49</td>
            <td>25.03.2021 08:02</td>
            <td><img src="../assets/img/general/ok.svg" alt="" title=""></td>
            <td><img src="../assets/img/general/block.svg" alt="" title=""></td>
            <td>
              <img src="../assets/img/general/user.svg" alt="" title="Профиль">
              <img src="../assets/img/general/mail.svg" alt="" title="Сообщение">
              <img src="../assets/img/general/edit.svg" alt="" title="Редактировать">
              <img src="../assets/img/general/urn.svg" alt="" title="Удалить">
            </td>
          </tr>
          <tr>
            <td>213</td>
            <td>b110</td>
            <td>jb@jnoj.ru</td>
            <td>91.193.178.159</td>
            <td>24.03.2021 15:49</td>
            <td>25.03.2021 08:02</td>
            <td><img src="../assets/img/general/ok.svg" alt="" title=""></td>
            <td><img src="../assets/img/general/block.svg" alt="" title=""></td>
            <td>
              <img src="../assets/img/general/user.svg" alt="" title="Профиль">
              <img src="../assets/img/general/mail.svg" alt="" title="Сообщение">
              <img src="../assets/img/general/edit.svg" alt="" title="Редактировать">
              <img src="../assets/img/general/urn.svg" alt="" title="Удалить">
            </td>
          </tr>
        </table>
      </div>
      <div class="table-footer">
        <v-row class="align-center table-footer-wrap">
          <v-col cols="3" >Записи с 1 по 10 из 56</v-col>
          <v-col cols="2" class="d-flex align-center">
            Выводить по
            <div
              :class="{'_active': select}"
              class="select-wrap"
            >
              <select @click="select = !select" name="" id="">
                <option value="10">10</option>
                <option value="15">15</option>
                <option value="20">20</option>
              </select>
            </div>
          </v-col>
          <v-col cols="7">
            <div class="text-center float-right">
              <div class="pagination">
                <ul>
                  <li><v-icon>mdi-chevron-left</v-icon></li>
                  <li>1</li>
                  <li>2</li>
                  <li>3</li>
                  <li><v-icon>mdi-chevron-right</v-icon></li>
                </ul>
              </div>
            </div>
          </v-col>
        </v-row>
      </div>
    </section>
    <!--   end таблица   -->
  </div>
</template>

<script>
export default {
  name: 'Admin',
  data () {
    return {
      tabs: [
        { title: 'Пользователи', id: 1 },
        { title: 'Роли', id: 2 },
        { title: 'Разрешения', id: 3 },
        { title: 'Правила', id: 4 },
        { title: 'Создать', id: 5 }
      ],
      activeTab: 1,
      items: [
        {
          title: 'Петя'
        },
        {
          title: 'Васья'
        },
        {
          title: 'Люда'
        },
        {
          title: 'Зина'
        }
      ],
      select: false,
      page: 1
    }
  },
  computed: {
    filterTabs () {
      return this.tabs.find((e) => {
        return e.id === this.activeTab
      })
    }
  }
}
</script>

<style lang="scss">
  .admin-tabs {
    display: flex;
    align-items: center;
    width: 100%;
    .tabs-wrap {
      overflow: hidden;
      padding: 0;
      display: inline-flex;
      width: min-content;
      margin-left: 100px;
      @media (max-width: 700px) {
        margin-left: auto;
      }
      .admin-tab {
        position: relative;
        color: #8BAFE4;
        @media (max-width: 700px) {
          display: none;
        }
        &._active {
          color: #3183FF;
          &:after {
            content: '';
            position: absolute;
            bottom: 0;
            width: 100%;
            height: 2px;
            background-color: #1976D2;
            z-index: 200000;
          }
        }
      }
      .mobile-tabs {
        display: none;
        @media (max-width: 700px) {
          display: block;
        }
      }
    }
  }
</style>
